%define url_ver %(echo %{version} | cut -d. -f1,2)

Summary:	Timer plugin for the Xfce panel
Name:		xfce4-timer-plugin
Version:	0.6.4
Release:	%mkrel 4
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		http://goodies.xfce.org/projects/panel-plugins/xfce4-timer-plugin
Source0:	http://archive.xfce.org/src/panel-plugins/xfce4-timer-plugin/%{url_ver}/%{name}-%{version}.tar.bz2
# Patch originally form PLD Linux
Patch0:		xfce4-timer-plugin-0.6.4-port-to-libxfce4ui.patch
# Patch from upstream git
Patch1:		xfce4-timer-plugin-0.6.4-fixes-in-add_pbar.patch
BuildRequires:	xfce4-dev-tools
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libxfce4ui-1)
BuildRequires:	pkgconfig(libxfce4panel-1.0)
Requires:	xfce4-panel

%description
Timer panel plugin for the Xfce Desktop Environment.

%prep
%setup -q
%apply_patches

%build
NOCONFIGURE=yes xdt-autogen
%configure2_5x
%make

%install
%makeinstall_std

rm -rf  %{buildroot}%{_prefix}/doc

%find_lang %{name}

%files -f %{name}.lang
%doc ChangeLog AUTHORS TODO README
%{_libdir}/xfce4/panel-plugins/xfce4-timer
%{_datadir}/xfce4/panel-plugins/*.desktop
%{_iconsdir}/hicolor/*/apps/xfce4-timer.png


%changelog

* Fri Sep 07 2012 wally <wally> 0.6.4-4.mga2
+ Revision: 289578
- sync with cauldron (update to stable xfce 4.10)

* Tue Sep 04 2012 wally <wally> 0.6.4-4.mga3
+ Revision: 288177
- add fixes to add_pbar from upstream git

* Sun Jun 17 2012 wally <wally> 0.6.4-3.mga3
+ Revision: 261127
- port to libxfce4ui (patch originally from PLD Linux)

* Tue May 29 2012 wally <wally> 0.6.4-2.mga3
+ Revision: 249334
- rebuild for new libxfce4util
- clean .spec

* Thu Feb 09 2012 wally <wally> 0.6.4-1.mga2
+ Revision: 206732
- new version 0.6.4

* Sat Jan 14 2012 wally <wally> 0.6.3-1.mga2
+ Revision: 196024
- new version 0.6.3
- clean .spec
- imported package xfce4-timer-plugin


* Tue Jun 28 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.2-1mdv2011.0
+ Revision: 687930
- update to new version 0.6.2

  + Matthew Dawkins <mattydaw@mandriva.org>
    - added missing BR

  + Oden Eriksson <oeriksson@mandriva.com>
    - the mass rebuild of 2010.1 packages

* Fri May 07 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.1-4mdv2010.1
+ Revision: 543441
- rebuild for mdv 2010.1

* Mon Sep 21 2009 Thierry Vignaud <tv@mandriva.org> 0.6.1-3mdv2010.0
+ Revision: 446152
- rebuild

* Fri Mar 06 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.1-2mdv2009.1
+ Revision: 349482
- rebuild for xfce-4.6.0

* Fri Nov 21 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.1-1mdv2009.1
+ Revision: 305526
- update to new version 0.6.1
- fix url for source
- drop patch 1, useless imho

* Sat Oct 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6-5mdv2009.1
+ Revision: 295031
- rebuild for new Xfce4.6 beta1

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.6-3mdv2009.0
+ Revision: 256984
- rebuild

* Wed Dec 26 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6-1mdv2008.1
+ Revision: 137828
- new version
- new license policy

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Nov 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.1-3mdv2008.1
+ Revision: 110141
- correct buildrequires
- new license policy
- use upstream tarball name as a real name
- do not package COPYING file
- add README file to the docs
- use upstream name
- spec file clean

* Wed May 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.1-1mdv2008.0
+ Revision: 30439
- update url
- spec file clean
- new version

